Skip to content
GET /unified/ticketing/collections/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

workspacestring
References: Workspaces → id
8 supported4 required2 notes
Basecamp
required

Workspace associated with the ticket.

Bitbucket
required

The unique identifier for the workspace

Jira Service Management
required
Zoho Projects
required
Hive
supported
Microsoft 365
supported
Microsoft Planner
supported
Teamwork Project Management
supported
idstring

The unique identifier for the workspace

namestring

The name of the workspace

typestring

The type of the collection

Possible values:
Todosetcomponentepiciterationkanban_boardmilestoneproductprojectsectiontasklistversionworkflow
19 supported7 required
Basecamp
required
Todosetkanban_board
Jira
required
projectversion
Pivotal Tracker
required
projectepic
Productboard
required
componentproduct
Shortcut
required
projectepiciterationworkflow
Todoist
required
projectsection
Zoho Projects
required
tasklistmilestone
Asana
supported
Bitbucket
supported
Dixa
supported
Front
supported
HubSpot
supported
Jira Service Management
supported
Linear
supported
Monday.com
supported
Re:amaze
supported
ServiceNow
supported
SolarWinds Service Desk
supported
Trello
supported
organizationobject
1 supported
Zoho Projects
supported
idstring

The unique identifier for a organization.

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for a collection

26 supported
Asana
supported
Basecamp
supported
Bitbucket
supported
Dixa
supported
Front
supported
Hive
supported
HubSpot
supported
Jira
supported
Jira Service Management
supported
Linear
supported
Microsoft 365
supported
Microsoft Planner
supported
Monday.com
supported
Pivotal Tracker
supported
Planhat
supported
Productboard
supported
Quickbase for Project Management
supported
Re:amaze
supported
ServiceNow
supported
Shortcut
supported
SolarWinds Service Desk
supported
Teamwork Project Management
supported
Todoist
supported
Trello
supported
Wrike
supported
Zoho Projects
supported
created_atstring · date-time

The date and time when the collection was created

13 supported
Basecamp
supported
Bitbucket
supported
Hive
supported
Linear
supported
Pivotal Tracker
supported
Planhat
supported
Productboard
supported
Re:amaze
supported
ServiceNow
supported
Shortcut
supported
Teamwork Project Management
supported
Wrike
supported
Zoho Projects
supported
descriptionstring

The description of the collection

13 supported
Asana
supported
Basecamp
supported
Bitbucket
supported
Hive
supported
Jira
supported
Linear
supported
Monday.com
supported
Pivotal Tracker
supported
Productboard
supported
ServiceNow
supported
Shortcut
supported
Teamwork Project Management
supported
Wrike
supported
entity_typestring

The type of entity that belongs to this collection

Possible values:
contactticket
2 supported
Dixa
supported
ServiceNow
supported
etagstring

The unique identifier for the specific version of the resource.

2 supported
Microsoft 365
supported
Microsoft Planner
supported
namestring

The name of the collection

25 supported
Asana
supported
Basecamp
supported
Bitbucket
supported
Dixa
supported
Front
supported
Hive
supported
HubSpot
supported
Jira
supported
Jira Service Management
supported
Linear
supported
Microsoft 365
supported
Microsoft Planner
supported
Monday.com
supported
Pivotal Tracker
supported
Planhat
supported
Productboard
supported
Re:amaze
supported
ServiceNow
supported
Shortcut
supported
SolarWinds Service Desk
supported
Teamwork Project Management
supported
Todoist
supported
Trello
supported
Wrike
supported
Zoho Projects
supported
parent_collection_idstring

The parent collection id

References: Collections → id
7 supported
Basecamp
supported
Jira
supported
Pivotal Tracker
supported
Productboard
supported
SolarWinds Service Desk
supported
Todoist
supported
Zoho Projects
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

The type of the collection

18 supported
Asana
supported
Basecamp
supported
Bitbucket
supported
Dixa
supported
Front
supported
HubSpot
supported
Jira
supported
Jira Service Management
supported
Linear
supported
Monday.com
supported
Pivotal Tracker
supported
Re:amaze
supported
ServiceNow
supported
Shortcut
supported
SolarWinds Service Desk
supported
Todoist
supported
Trello
supported
Zoho Projects
supported
updated_atstring · date-time

The date and time when the collection was updated

13 supported
Basecamp
supported
Bitbucket
supported
Hive
supported
Linear
supported
Monday.com
supported
Pivotal Tracker
supported
Productboard
supported
Re:amaze
supported
ServiceNow
supported
Shortcut
supported
Teamwork Project Management
supported
Wrike
supported
Zoho Projects
supported
urlsobject[]

The URLs of the collection

11 supported
Basecamp
supported
Bitbucket
supported
Jira
supported
Jira Service Management
supported
Monday.com
supported
Productboard
supported
Re:amaze
supported
SolarWinds Service Desk
supported
Todoist
supported
Wrike
supported
Zoho Projects
supported
urlstring

The URL of the collection

workspaceobject
References: Workspaces → id
6 supported
Bitbucket
supported
Hive
supported
Microsoft 365
supported
Microsoft Planner
supported
Teamwork Project Management
supported
Zoho Projects
supported
idstring

The unique identifier for a workspace

namestring

The name of the workspace

curl -X GET 'https://api.truto.one/unified/ticketing/collections/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/collections/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/collections/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ticketing',
  'collections',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ticketing",
        "collections",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())